Loading...
Searching...
No Matches
juce::SerialisationSize< T > Struct Template Reference

## Detailed Description

template<typename T>
struct juce::SerialisationSize< T >

Holds a reference to some kind of size value, used to indicate that an object being marshalled is of variable size (e.g.

Array, vector, map, set, etc.).

If you need to write your own serialisation routines for a dynamically-sized type, ensure that you archive an instance of SerialisationSize before any of the contents of the container.

Template Parameters

  T | the (probably numeric) type of the size value

See also
  serialisationSize()

The documentation for this struct was generated from the following file:

- juce_core/serialisation/juce_Serialisation.h

## Public Member Functions

auto | operator== (const SerialisationSize &other) const
auto | operator!= (const SerialisationSize &other) const
auto | operator< (const SerialisationSize &other) const
auto | operator<= (const SerialisationSize &other) const
auto | operator> (const SerialisationSize &other) const
auto | operator>= (const SerialisationSize &other) const

## Public Attributes

T & | size

## Member Functions

## operator==()

template<typename T>

auto juce::SerialisationSize< T >::operator== | ( | const SerialisationSize< T > & | other | ) | const

inline

## operator!=()

template<typename T>

auto juce::SerialisationSize< T >::operator!= | ( | const SerialisationSize< T > & | other | ) | const

inline

References JUCE_COMPARISON_OPS.

## operator<()

template<typename T>

auto juce::SerialisationSize< T >::operator< | ( | const SerialisationSize< T > & | other | ) | const

inline

## operator<=()

template<typename T>

auto juce::SerialisationSize< T >::operator<= | ( | const SerialisationSize< T > & | other | ) | const

inline

## operator>()

template<typename T>

auto juce::SerialisationSize< T >::operator> | ( | const SerialisationSize< T > & | other | ) | const

inline

## operator>=()

template<typename T>

auto juce::SerialisationSize< T >::operator>= | ( | const SerialisationSize< T > & | other | ) | const

inline

## Member Data Documentation

## size

template<typename T>

T& juce::SerialisationSize< T >::size

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited